Saxon API for .NET |

# XdmAtomicValue.GetPrimitiveTypeName Method

Get the name of the primitive type of the value

public QName GetPrimitiveTypeName();

#### Return Value

The primitive type of the value, as a QName. This will be the name of one of the primitive types defined in XML Schema Part 2, or the XPath-defined type `xdt:untypedAtomic`. For the purposes of this method, `xs:integer` is considered to be a primitive type.

#### See Also

XdmAtomicValue Class | Saxon.Api Namespace